# vim: set ts=4 sw=4 et:
# Copyright (c) 2008-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        AC3 plugin for OGMRip
Name:           ogmrip-ac3
Version:        0.2
Release:        pm152.4.5
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-ac3-%{version}.tar.gz
Source:         ogmrip-ac3-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ogmrip)
Requires:       MPlayer
Requires:       aften
Requires:       ogmrip

%description
ogmrip-ac3 is a plugin for OGMRip which enables transcoding to AC-3.

%lang_package

%prep
%autosetup -p1

%build
sed -i~ '
/^CFLAGS/d
/^LDFLAGS/d
' configure.in
diff -u "$_"~ "$_" && exit 1
autoreconf -fiv
%configure \
    --enable-static=no
%make_build

%install
%make_install \
    audio_codecsdir=%{_libdir}/ogmrip/audio-plugins

%find_lang %{name}

find %{buildroot} -name "*.la" -print -delete

%files
%doc AUTHORS ChangeLog README
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/audio-plugins
%{_libdir}/ogmrip/audio-plugins/libogmrip-ac3.so

%files lang -f %{name}.lang

%changelog
* Thu May  3 2012 reddwarf@opensuse.org
- remove -Werror, broke build in >= 12.1
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2
* Wed Jul 16 2008 toni@links2linux.de
- initial package for 0.1
